Bug 812702 - (ghc-SHA) Review Request: ghc-SHA - Message digest functions
Review Request: ghc-SHA - Message digest functions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: git-annex
  Show dependency treegraph
 
Reported: 2012-04-15 22:27 EDT by Jens Petersen
Modified: 2012-12-07 00:14 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-SHA-1.5.0.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 00:54:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-04-15 22:27:16 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-SHA/ghc-SHA.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-SHA/ghc-SHA-1.5.0.1-1.fc16.src.rpm
Description: Implementations of the SHA suite of message digest functions in Haskell

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3993155

Needed for git-annex.
Comment 1 Narasimhan 2012-04-22 02:35:59 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-SHA-devel-1.5.0.1-1.fc15.x86_64.rpm ghc-SHA-1.5.0.1-1.fc15.x86_64.rpm ghc-SHA-1.5.0.1-1.fc15.src.rpm ../ghc-SHA.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK, based on cabal2spec 0.25.5
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD license.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included and packaged in the main package.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

 md5sum SHA-1.5.0.1.tar.gz 
f9636736c092eee0ff38fe4166043fce  SHA-1.5.0.1.tar.gz

md5sum ghc-SHA-1.5.0.1-1.fc16.src/SHA-1.5.0.1.tar.gz 
f9636736c092eee0ff38fe4166043fce  ghc-SHA-1.5.0.1-1.fc16.src/SHA-1.5.0.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked by installing the packages and listing owned directories and files.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
API documentation in devel package.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-SHA
error: Failed dependencies:
        ghc(SHA-1.5.0.1) = 21959922e38a8c688bc78e6d8309f334 is needed by (installed) ghc-SHA-devel-1.5.0.1-1.fc15.x86_64
        ghc-SHA = 1.5.0.1-1.fc15 is needed by (installed) ghc-SHA-devel-1.5.0.1-1.fc15.x86_64
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
LICENSE file is included.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed packages. Loaded Data.Digest.Pure.SHA into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 2 Jens Petersen 2012-04-22 04:36:57 EDT
Thank you very much for reviewing.


New Package SCM Request
=======================
Package Name: ghc-SHA
Short Description: Message digest functions
Owners: petersen
Branches: f17 f16 f15 el6
InitialCC: haskell-sig
Comment 3 Jon Ciesla 2012-04-23 08:38:26 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-04-23 21:52:50 EDT
ghc-SHA-1.5.0.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-SHA-1.5.0.1-1.fc16
Comment 5 Fedora Update System 2012-04-23 21:53:00 EDT
ghc-SHA-1.5.0.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-SHA-1.5.0.1-1.fc17
Comment 6 Fedora Update System 2012-04-23 21:53:08 EDT
ghc-SHA-1.5.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-SHA-1.5.0.1-1.fc15
Comment 7 Fedora Update System 2012-04-23 23:17:59 EDT
ghc-SHA-1.5.0.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-05-02 00:54:33 EDT
ghc-SHA-1.5.0.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-05-03 03:18:33 EDT
ghc-SHA-1.5.0.1-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 10 Fedora Update System 2012-05-03 03:30:25 EDT
ghc-SHA-1.5.0.1-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-12-07 00:14:25 EST
ghc-SHA-1.5.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ghc-SHA-1.5.0.1-1.el6

Note You need to log in before you can comment on or make changes to this bug.